@import 'assets.scss';

@media (prefers-reduced-motion: no-preference) {
    html {
        scroll-behavior: smooth;
    }
}

html,
body {
    height: 100%;
}

body {
    color: #000;
    font-size: .8rem;
    overflow-x: hidden;
}



.top-spot {
    background-color: #ecebe1;
}

.badge {
    padding: 0.55em ​0.65em 0.25e;
}

.form-control,.form-select:not(.btn) {
    background-color: #f1f1f1;
    border: 0 none;
    // padding-top: 0.875rem;
    // padding-bottom: 0.875rem;
}

.btn {
    border-radius: 3rem;
}

.search-container {
    z-index: 1040;

    .search-field {
        border-bottom: 1px solid rgba(255, 255, 255, .2);
    }

    ::placeholder {
        color: white;
        opacity: .5;
    }

    :-ms-input-placeholder {
        color: white;
        opacity: .5;
    }

    ::-ms-input-placeholder {
        color: white;
        opacity: .5;
    }

    ul {
        li {
            a {
                opacity: 1;

                &:hover {
                    opacity: .7;
                }
            }
        }
    }
}

.breadcrumb {
    .breadcrumb-item {
        a {
            color: rgba(#000, .7);

            &:hover {
                color: $color-primary;
            }
        }

        +.breadcrumb-item {
            padding-right: .5rem;
            padding-left: 0;

            &::before {
                content: "\F09DE";
                float: none;
                padding-right: 0;
                color: #ccc;
                font-size: 1.1rem;
                margin-left: 0.5rem;
            }
        }
    }

}

hr {
    background-color: #e1e1e1;
}

.nav {
    &.nav-wizard {
        position: relative;
        border: none;

        .nav-item {
            position: relative;
            margin: 0;

            .nav-link {
                position: relative;
                border: none;
                color: #8cc152;
                padding: 0;
                // min-width: 130px;

                &::before {
                    content: "";
                    position: absolute;
                    right: 0;
                    left: 0;
                    top: 22px;
                    // margin-top: -20px;
                    height: 7px;
                    background-color: #8cc152;
                }

                .step {
                    position: relative;
                    width: 50px;
                    height: 50px;
                    background-color: #8cc152;
                    color: white;
                    border-radius: $radius;


                    .mdi {
                        &::before {
                            content: "\F012C";
                        }
                    }
                }

                &.active {
                    background-color: transparent;
                    border: none;
                    border-radius: 0;
                    padding: 0;
                    color: $color-primary;

                    &::before {
                        background-color: $color-primary;
                    }

                    .step {
                        background-color: $color-primary;
                        color: white;

                        .mdi {
                            &::before {
                                content: "\F08D5";
                            }
                        }
                    }
                }

                &.pending:not(.active) {
                    color: #d0cfd0;

                    &::before {
                        background-color: #d0cfd0;
                    }

                    .step {
                        background-color: #d0cfd0;

                        .mdi {
                            &::before {
                                content: "\F051F";
                            }
                        }
                    }
                }
            }

            &:first-child {
                .nav-link {
                    &::before {
                        right: 50%;
                    }
                }
            }

            &:last-child {
                .nav-link {
                    &::before {
                        left: 50%;
                    }
                }
            }

        }
    }

    &.v-tab {
        background-color: #ededed;

        .nav-link {
            background-color: #f4f4f4;

            &.active {
                background-color: white;
            }

            +.nav-link {
                border-top: 1px solid $border-color;
            }
        }


        @media (min-width:992px) {
            .nav-link {
                padding: 1.5rem;
            }
        }
    }
}

.carousel-detail {
    .carousel-indicators {
        position: static;
        margin: 0;

        li {
            width: 60px;
            height: auto;
        }
    }
}

.form-select {
    background-position: left .75rem center;
}

.rating {
    border: none;
    direction: ltr;
}

.rating>input {
    display: none;
}

.rating>label:before {
    margin: 2px;
    display: inline-block;
    font: normal normal normal 24px/1 "Material Design Icons";
    font-size: 1.3rem;
    text-rendering: auto;
    line-height: inherit;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    content: "\F04CE";
}

.rating>.half:before {
    content: "\F0246";
    position: absolute;
}

.rating>label {
    color: #ddd;
    float: right;
}

/***** CSS Magic to Highlight Stars on Hover *****/

.rating>input:checked~label,
/* show gold star when clicked */
.rating:not(:checked)>label:hover,
/* hover current star */
.rating:not(:checked)>label:hover~label {
    color: #000;
}

/* hover previous stars in list */

.rating>input:checked+label:hover,
/* hover current star when changing rating */
.rating>input:checked~label:hover,
.rating>label:hover~input:checked~label,
/* lighten current selection */
.rating>input:checked~label:hover~label {
    color: $color-primary;
}

.bg-dark {
    .list-group-item {
        border-color: #464646 !important;
    }

    .progress {
        background-color: #464646;
    }
}

.nav-tabs {
    border-bottom: none;

    .nav-link {
        color: $color-muted;
        border: none;

        &.active,
        &:hover {
            background-color: transparent;
            color: white;
        }

        &.active {
            border-bottom: 2px solid white;
        }
    }
}

.form-check-input:checked {
    background-color: $color-primary;
    border-color: $color-primary;
}

.dropdown .dropdown-menu {
    font-size: .8rem;
}

a {
    .bgc-tire {
        background-color: rgba(24, 24, 24, 0.06);
        @include transition(background-color .2s)
    }
    
    &:hover {
        .bgc-tire {
            background-color: $color-primary;
        }
    }
}


@media (max-width: 575.98px) {
    .logo {
        img {
            max-width: 110px;
        }
    }
    .nav {
        &.nav-wizard {
            .nav-item {
                .nav-link{
                    .fs6 {
                        font-size: 0.75rem;
                        // @include transform(rotate(90deg));
                        // max-width: 50px;
                    }

                    &::before {
                        height: 6px;
                    }

                    .step {
                        .mdi {
                            line-height: 18px;

                            &::before {
                                font-size: 18px;
                                line-height: 18px;
                            }
                        }
                    }
                }
            }
        }
    }
}

@media (min-width: 980px) {}

@media (max-width: 1400px) {}

// bootstrap-rtl
.form-check {
    .form-check-input {
        float: none;
        margin-right: 0;
        margin-left: 0.5rem;
        margin-top: 0;
    }
}

.nav-pills {
    .nav-link {
        color: #000;
        display: flex;
        align-items: center;

        &.active {
            color: $color-primary;
            background-color: transparent !important;

            &::before {
                position: absolute;
                content:"";
                display: block;
                width: 8px;
                height: 8px;
                border-radius: 50%;
                background-color: $color-primary;
                margin-left: 1rem;
                margin-right: -1rem;
            }
        }
    }
}

.owl-carousel  {
    .owl-stage-outer {
        overflow: visible;
        background-color: rgba(0,0,0,.1);
        border-radius: $radius;

        .owl-stage {
            display: flex;

            .owl-item {
                float: none !important;
            
                &:not(.active) {
                    opacity: 0.3;
                    pointer-events: none;
                
                    .item-content {
                        opacity: .5;
                    }
                }
        
                .item {
                    // width: 200px;
                    // height: 200px;
                    margin: 0 auto;
                
                    .item-content {
                        height: 150px;
                    }
                }
            }
        }
    }
    .owl-nav  {
        margin: 0;

        button {
            &.owl-next,
            &.owl-prev {
                position: absolute;
                top: 50%;
                right: 100%;
                margin-top: -30px;
                padding: 1rem !important;
                border-radius: 50%;
                background-color: #fff;
                box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
                color: #ffa500;
                // margin-right: -2.6rem;
                @include transform(translate3d(100%,0,0));
            }
            &.owl-next {
                right: auto;
                left: 100%;
                // margin-left: -2.6rem;
                @include transform(translate3d(-100%,0,0));
                margin-right: 0;
            }
        }
    }
    
    &.owl-theme  {
        .owl-nav [class*=owl-]:hover {
            background-color: orange !important;
            color: white;
            
        }
    }
}

[class*="border-"],
.list-group-item {
    border-color: #f1f1f1 !important;
}

.form-select-lg {
    font-size: 1rem;
}


// X-Large devices (large desktops, 1200px and up)
@media (min-width: 1200px) { 
    .owl-carousel  {
        .owl-nav  {
            button {
                &.owl-next,
                &.owl-prev {
                    padding: 2rem !important;
                    @include transform(translate3d(50%,0,0));
                }
                &.owl-next {
                    @include transform(translate3d(-50%,0,0));
                }
            }
        }
    }
}




